Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
ColoringRulesModel Class Reference
Inheritance diagram for ColoringRulesModel:

## Public Types
enum | ColoringRulesColumn { colName = 0, colFilter, colColoringRulesMax }

## Public Member Functions
| ColoringRulesModel (QColor defaultForeground, QColor defaultBackground, QObject *parent)
void | addColor (color_filter_t *colorf)
void | addColor (bool disabled, QString filter, QColor foreground, QColor background)
bool | importColors (QString filename, QString &err)
bool | exportColors (QString filename, QString &err)
bool | writeColors (QString &err)
Qt::ItemFlags | flags (const QModelIndex &index) const
QVariant | data (const QModelIndex &index, int role) const
bool | setData (const QModelIndex &index, const QVariant &value, int role=Qt::EditRole)
QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
QModelIndex | index (int row, int column, const QModelIndex &=QModelIndex()) const
QModelIndex | parent (const QModelIndex &) const
Qt::DropActions | supportedDropActions () const
QStringList | mimeTypes () const
QMimeData * | mimeData (const QModelIndexList &indexes) const
bool | dropMimeData (const QMimeData *data, Qt::DropAction action, int row, int column, const QModelIndex &parent)
int | rowCount (const QModelIndex &parent=QModelIndex()) const
int | columnCount (const QModelIndex &parent=QModelIndex()) const
bool | insertRows (int row, int count, const QModelIndex &parent=QModelIndex())
bool | removeRows (int row, int count, const QModelIndex &parent=QModelIndex())
bool | copyRow (int dst_row, int src_row)

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/models/coloring_rules_model.h
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/models/coloring_rules_model.cpp